=== requirements.txt ===
Cython>=3.0.0
pytest>=6.2.4
pytest-benchmark>=3.4.1
numpy>=1.21.1
pyclibrary>=0.1.7
setuptools
tomli; python_version < "3.11"
versioneer==0.29
wheel
pywin32; sys_platform == 'win32'
