=== debian/control ===
Source: gcc-14
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.37), binutils-hppa64-linux-gnu:native (>= 2.37) [hppa amd64 i386 x32],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-18 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-13:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-13:native, netbase, gdc-13:native [!arc !ia64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386], python3:any, cargo [!hppa !ia64 !m68k !sh4 !x32 !alpha !hurd-alpha !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
  dejagnu <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
  pkg-config, libgc-dev,
  g++-14-for-host <cross>, gobjc-14-for-host [!avr] <cross>, gfortran-14-for-host <cross>, gdc-14-for-host [!arc !ia64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386] <cross>, gccgo-14-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-14-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-14-for-host [!powerpc !ppc64 !sh4] <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-14-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1 (= ${gcc:EpochVersion}),
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
XB-Important: yes
Protected: yes
Breaks: ${libgcc:Breaks}
Replaces: libgcc1 (<< 1:10)
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-s2
X-DH-Build-For-Type: target
Architecture: m68k
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
XB-Important: yes
Protected: yes
Depends: gcc-14-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc2 (= ${gcc:EpochVersion}),
Breaks: ${libgcc:Breaks}
Replaces: libgcc2 (<< 1:10)
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-s4
X-DH-Build-For-Type: target
Architecture: hppa
Multi-Arch: same
XB-Important: yes
Protected: yes
Pre-Depends: ${misc:Pre-Depends}
Provides: libgcc4 (= ${gcc:EpochVersion})
Breaks: ${libgcc:Breaks}
Replaces: libgcc4 (<< 1:10)
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc-14-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libhwasan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtsan2 (<< 12-20211113-2~)
Replaces: libtsan2 (<< 12-20211113-2~)
Multi-Arch: same
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib64gcc-s1
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: lib64gcc1 (<< 1:10)
Replaces: lib64gcc1 (<< 1:10)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc-14-dev
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (64bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-s1
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Breaks: lib32gcc1 (<< 1:10)
Replaces: lib32gcc1 (<< 1:10)
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc-s1
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: libn32gcc1 (<< 1:10)
Replaces: libn32gcc1 (<< 1:10)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libn32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-s1
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libs
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Breaks: libx32gcc1 (<< 1:10)
Replaces: libx32gcc1 (<< 1:10)
Description: GCC support library (x32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libx32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-14-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: cpp-14-alpha-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-alpha-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler for the alpha-linux-gnu architecture
 This is the GNU C compiler for the alpha-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: cpp-14-x86-64-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-x86-64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-x86-64-linux-gnu
