=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-resolved,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container, skippable, breaks-testbed

Tests: unit-config
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
Restrictions: needs-root, allow-stderr, breaks-testbed

Tests: storage
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd-container,
  systemd-coredump,
  systemd-resolved,
  libpam-systemd,
  libdw-dev,
  libelf-dev,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [!s390x],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkgconf,
  python3,
  python3-pefile,
  dhcpcd-base | dhcpcd5,
Restrictions: needs-root, isolation-container, breaks-testbed, allow-stderr

Tests: unit-tests
Depends: systemd-tests,
  systemd-resolved,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  python3-pefile,
  xz-utils,
  libcap2-bin,
  iproute2,
  lz4,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev,
  libfido2-dev,
  libdw-dev,
  libqrencode-dev,
  libpwquality-dev,
  libarchive-dev,
  libgcrypt20-dev,
  tzdata-legacy | tzdata (<< 2024a-1),
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: upstream
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  systemd-homed,
  systemd-resolved,
  systemd-boot-efi [amd64 arm64 armhf i386 riscv64],
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  lz4,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  cryptsetup-initramfs,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
  qemu-system-s390x [s390x],
  seabios,
  less,
  pkgconf,
  gcc,
  libc6-dev | libc-dev,
  make,
  quota,
  fdisk,
